## org.mortbay.util.jmx
Class LogMBean

    java.lang.Object
      |
      +--org.mortbay.util.jmx.ModelMBeanImpl
            |
            +--org.mortbay.util.jmx.LogMBean

All Implemented Interfaces:
  javax.management.DynamicMBean, javax.management.MBeanRegistration, javax.management.modelmbean.ModelMBean, javax.management.modelmbean.ModelMBeanNotificationBroadcaster, javax.management.NotificationBroadcaster, javax.management.PersistentMBean

public class LogMBean
extends ModelMBeanImpl

Field Summary

Fields inherited from class org.mortbay.util.jmx.ModelMBeanImpl
`IMPACT_ACTION, IMPACT_ACTION_INFO, IMPACT_INFO, IMPACT_UNKOWN, INT, NO_PARAMS, OBJECT, ON_MBEAN, ON_OBJECT, READ_ONLY, READ_WRITE, STRING`

Constructor Summary
`LogMBean()` Constructor.
`LogMBean(Log log)` Constructor.

Method Summary
`javax.management.ObjectName[]` `getLogSinks()`
`void` `postDeregister()` Post Deregister.
`void` `postRegister(java.lang.Boolean ok)`

Methods inherited from class org.mortbay.util.jmx.ModelMBeanImpl

`addAttributeChangeNotificationListener, addNotificationListener, defineAttribute, defineAttribute, defineAttribute, defineAttribute, defineOperation, defineOperation, defineOperation, getAttribute, getAttributes, getBaseObjectName, getDefaultDomain, getManagedResource, getMBeanInfo, getMBeanServer, getNotificationInfo, getObjectName, invoke, load, mbeanFor, preDeregister, preRegister, removeAttributeChangeNotificationListener, removeNotificationListener, sendAttributeChangeNotification, sendAttributeChangeNotification, sendNotification, sendNotification, setAttribute, setAttributes, setBaseObjectName, setDefaultDomain, setManagedResource, setModelMBeanInfo, store, uniqueObjectName, uniqueObjectName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LogMBean

    public LogMBean()
             throws javax.management.MBeanException,
                    javax.management.InstanceNotFoundException

  Constructor.

Throws:
  `javax.management.MBeanException`
  `javax.management.InstanceNotFoundException`

### LogMBean

    public LogMBean(Log log)
             throws javax.management.MBeanException,
                    javax.management.InstanceNotFoundException

  Constructor.

Throws:
  `javax.management.MBeanException`
  `javax.management.InstanceNotFoundException`

Method Detail

### postRegister

    public void postRegister(java.lang.Boolean ok)

  Specified by:
    `postRegister` in interface `javax.management.MBeanRegistration`
  Overrides:
    `postRegister` in class `ModelMBeanImpl`

### postDeregister

    public void postDeregister()

  Description copied from class: `ModelMBeanImpl`
  Post Deregister. This implementation destroys this MBean and it cannot be used again.

  Specified by:
    `postDeregister` in interface `javax.management.MBeanRegistration`
  Overrides:
    `postDeregister` in class `ModelMBeanImpl`

### getLogSinks

    public javax.management.ObjectName[] getLogSinks()

Copyright © 2000 Mortbay Consulting Pty. Ltd. All Rights Reserved.